> # NAME

> cgGetProgramBufferMaxIndex - get the maximum index of a buffer for a given profile

> # SYNOPSIS

>       #include <Cg/cg.h>

>       int cgGetProgramBufferMaxIndex( CGprofile profile );

> # PARAMETERS

> profile

>   The target for determining the maximum buffer index.

> # RETURN VALUES

> Returns the maximum buffer index for a given profile.

> Returns 0 if an error occurs.

> # DESCRIPTION

> cgGetProgramBufferMaxIndex returns the maximum buffer index for a profile. cgGetProgramBufferMaxIndex will return 0 if an invalid profile is passed.

> # EXAMPLES

> int size = cgGetProgramBufferMaxIndex( CG_PROFILE_GPU_VP );

> # ERRORS

> none.

> # HISTORY

> cgGetProgramBufferMaxIndex was introduced in Cg 2.0.

> # SEE ALSO

> cgSetProgramBuffer, cgGetParameterBufferIndex, cgCreateBuffer